Name:           virt-what
Version:        1.11
Release:        3
Summary:        Detect if we are running in a virtual machine

Group:          Emulators
License:        GPLv2+

URL:            http://people.redhat.com/~rjones/virt-what/
Source0:        http://people.redhat.com/~rjones/virt-what/files/%{name}-%{version}.tar.gz

# Patches over upstream 1.11.
Patch1:         0001-IA64-Xen-HVM-should-print-xen-hvm-not-xen-domU.patch
Patch2:         0001-Change-dmidecode-detection-of-Hitachi-Virtage.patch

# This is provided by the build root, but we make it explicit
# anyway in case this was dropped from the build root in future.
BuildRequires:  perl

# Required at build time in order to do 'make check' (for getopt).
BuildRequires:  util-linux-ng

# virt-what script uses dmidecode and getopt (from util-linux-ng).
# RPM cannot detect this so make the dependencies explicit here.
Requires:       dmidecode
Requires:       util-linux-ng


%description
virt-what is a shell script which can be used to detect if the program
is running in a virtual machine.

The program prints out a list of "facts" about the virtual machine,
derived from heuristics.  One fact is printed per line.

If nothing is printed and the script exits with code 0 (no error),
then it can mean either that the program is running on bare-metal or
the program is running inside a type of virtual machine which we don't
know about or cannot detect.

Current types of virtualization detected:

 - hyperv       Microsoft Hyper-V
 - kvm          Linux Kernel Virtual Machine (KVM)
 - openvz       OpenVZ or Virtuozzo
 - powervm_lx86 IBM PowerVM Lx86 Linux/x86 emulator
 - qemu         QEMU (unaccelerated)
 - uml          User-Mode Linux (UML)
 - virtage      Hitachi Virtualization Manager (HVM) Virtage LPAR
 - virtualbox   VirtualBox
 - virtualpc    Microsoft VirtualPC
 - vmware       VMware
 - xen          Xen
 - xen-dom0     Xen dom0 (privileged domain)
 - xen-domU     Xen domU (paravirtualized guest domain)
 - xen-hvm      Xen guest fully virtualized (HVM)


%prep
%setup -q

%patch1 -p1
%patch2 -p1


%build
%configure
make


%check
make check


%install
make install DESTDIR=%{buildroot}

%clean

%files
%doc README COPYING
%{_sbindir}/virt-what
%{_libexecdir}/virt-what-cpuid-helper
%{_mandir}/man1/*.1*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.11-3
+ Revision: 2627859
- MassBuild#440: Increase release tag


